package cn.ibizlab.r7.runtime.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.client.model.ILoginAccountPwd;
import cn.ibizlab.r7.runtime.util.SearchContext;

/**
 * 实体[LoginAccountPwd] 服务对象接口
 */
public interface ILoginAccountPwdClientService{

    public ILoginAccountPwd createModel() ;

    public void checkKey(ILoginAccountPwd loginaccountpwd);

    public void update(ILoginAccountPwd loginaccountpwd);

    public void remove(ILoginAccountPwd loginaccountpwd);

    public void get(ILoginAccountPwd loginaccountpwd);

    public void save(ILoginAccountPwd loginaccountpwd);

    public void create(ILoginAccountPwd loginaccountpwd);

    public void getDraft(ILoginAccountPwd loginaccountpwd);

    public Page<ILoginAccountPwd> fetchDefault(SearchContext context);

}
